App\Library\Amazon\Classes\SoftwarePlatform:
    xml_root_name: SoftwarePlatform
    properties:
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            type: string
        systemRequirements:
            expose: true
            access_type: public_method
            serialized_name: SystemRequirements
            accessor:
                getter: getSystemRequirements
                setter: setSystemRequirements
            type: string
